Changeset 518


Ignore:
Timestamp:
Aug 15, 2007 6:42:51 PM (13 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/branches/BSP/trunk/configure

    r511 r518  
    18051805  if test "$enable_doscompile" != no; then
    18061806     case $build in
    1807        *-cygwin*) ;;
    1808        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1809 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1807       *-cygwin* | *-mingw*) ;;
     1808       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1809echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18101810   { (exit 1); exit 1; }; } ;;
    18111811     esac
     
    18151815fi;
    18161816 case "$enable_doscompile" in
    1817    msvc|mingw|no) ;;
     1817   mingw)
     1818     case $build in
     1819       *-mingw*) enable_doscompile=no ;;
     1820     esac
     1821     ;;
     1822   msvc|no) ;;
    18181823   yes) enable_doscompile=mingw ;;
    18191824   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    32123217
    32133218# Provide some information about the compiler.
    3214 echo "$as_me:3214:" \
     3219echo "$as_me:3219:" \
    32153220     "checking for Fortran 77 compiler version" >&5
    32163221ac_compiler=`set X $ac_compile; echo $2`
     
    37803785ac_save_FFLAGS=$FFLAGS
    37813786FFLAGS="$FFLAGS $ac_verb"
    3782 (eval echo $as_me:3782: \"$ac_link\") >&5
     3787(eval echo $as_me:3787: \"$ac_link\") >&5
    37833788ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    37843789echo "$ac_f77_v_output" >&5
     
    38583863ac_save_FFLAGS=$FFLAGS
    38593864FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    3860 (eval echo $as_me:3860: \"$ac_link\") >&5
     3865(eval echo $as_me:3865: \"$ac_link\") >&5
    38613866ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    38623867echo "$ac_f77_v_output" >&5
     
    62466251*-*-irix6*)
    62476252  # Find out which ABI we are using.
    6248   echo '#line 6248 "configure"' > conftest.$ac_ext
     6253  echo '#line 6253 "configure"' > conftest.$ac_ext
    62496254  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    62506255  (eval $ac_compile) 2>&5
     
    87238728   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87248729   -e 's:$: $lt_compiler_flag:'`
    8725    (eval echo "\"\$as_me:8725: $lt_compile\"" >&5)
     8730   (eval echo "\"\$as_me:8730: $lt_compile\"" >&5)
    87268731   (eval "$lt_compile" 2>conftest.err)
    87278732   ac_status=$?
    87288733   cat conftest.err >&5
    8729    echo "$as_me:8729: \$? = $ac_status" >&5
     8734   echo "$as_me:8734: \$? = $ac_status" >&5
    87308735   if (exit $ac_status) && test -s "$ac_outfile"; then
    87318736     # The compiler can only warn and ignore the option if not recognized
     
    89918996   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89928997   -e 's:$: $lt_compiler_flag:'`
    8993    (eval echo "\"\$as_me:8993: $lt_compile\"" >&5)
     8998   (eval echo "\"\$as_me:8998: $lt_compile\"" >&5)
    89948999   (eval "$lt_compile" 2>conftest.err)
    89959000   ac_status=$?
    89969001   cat conftest.err >&5
    8997    echo "$as_me:8997: \$? = $ac_status" >&5
     9002   echo "$as_me:9002: \$? = $ac_status" >&5
    89989003   if (exit $ac_status) && test -s "$ac_outfile"; then
    89999004     # The compiler can only warn and ignore the option if not recognized
     
    90959100   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    90969101   -e 's:$: $lt_compiler_flag:'`
    9097    (eval echo "\"\$as_me:9097: $lt_compile\"" >&5)
     9102   (eval echo "\"\$as_me:9102: $lt_compile\"" >&5)
    90989103   (eval "$lt_compile" 2>out/conftest.err)
    90999104   ac_status=$?
    91009105   cat out/conftest.err >&5
    9101    echo "$as_me:9101: \$? = $ac_status" >&5
     9106   echo "$as_me:9106: \$? = $ac_status" >&5
    91029107   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    91039108   then
     
    1151211517  lt_status=$lt_dlunknown
    1151311518  cat > conftest.$ac_ext <<EOF
    11514 #line 11514 "configure"
     11519#line 11519 "configure"
    1151511520#include "confdefs.h"
    1151611521
     
    1161211617  lt_status=$lt_dlunknown
    1161311618  cat > conftest.$ac_ext <<EOF
    11614 #line 11614 "configure"
     11619#line 11619 "configure"
    1161511620#include "confdefs.h"
    1161611621
     
    1397213977   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1397313978   -e 's:$: $lt_compiler_flag:'`
    13974    (eval echo "\"\$as_me:13974: $lt_compile\"" >&5)
     13979   (eval echo "\"\$as_me:13979: $lt_compile\"" >&5)
    1397513980   (eval "$lt_compile" 2>conftest.err)
    1397613981   ac_status=$?
    1397713982   cat conftest.err >&5
    13978    echo "$as_me:13978: \$? = $ac_status" >&5
     13983   echo "$as_me:13983: \$? = $ac_status" >&5
    1397913984   if (exit $ac_status) && test -s "$ac_outfile"; then
    1398013985     # The compiler can only warn and ignore the option if not recognized
     
    1407614081   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1407714082   -e 's:$: $lt_compiler_flag:'`
    14078    (eval echo "\"\$as_me:14078: $lt_compile\"" >&5)
     14083   (eval echo "\"\$as_me:14083: $lt_compile\"" >&5)
    1407914084   (eval "$lt_compile" 2>out/conftest.err)
    1408014085   ac_status=$?
    1408114086   cat out/conftest.err >&5
    14082    echo "$as_me:14082: \$? = $ac_status" >&5
     14087   echo "$as_me:14087: \$? = $ac_status" >&5
    1408314088   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1408414089   then
     
    1564615651   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1564715652   -e 's:$: $lt_compiler_flag:'`
    15648    (eval echo "\"\$as_me:15648: $lt_compile\"" >&5)
     15653   (eval echo "\"\$as_me:15653: $lt_compile\"" >&5)
    1564915654   (eval "$lt_compile" 2>conftest.err)
    1565015655   ac_status=$?
    1565115656   cat conftest.err >&5
    15652    echo "$as_me:15652: \$? = $ac_status" >&5
     15657   echo "$as_me:15657: \$? = $ac_status" >&5
    1565315658   if (exit $ac_status) && test -s "$ac_outfile"; then
    1565415659     # The compiler can only warn and ignore the option if not recognized
     
    1575015755   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1575115756   -e 's:$: $lt_compiler_flag:'`
    15752    (eval echo "\"\$as_me:15752: $lt_compile\"" >&5)
     15757   (eval echo "\"\$as_me:15757: $lt_compile\"" >&5)
    1575315758   (eval "$lt_compile" 2>out/conftest.err)
    1575415759   ac_status=$?
    1575515760   cat out/conftest.err >&5
    15756    echo "$as_me:15756: \$? = $ac_status" >&5
     15761   echo "$as_me:15761: \$? = $ac_status" >&5
    1575715762   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1575815763   then
     
    1795717962   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795817963   -e 's:$: $lt_compiler_flag:'`
    17959    (eval echo "\"\$as_me:17959: $lt_compile\"" >&5)
     17964   (eval echo "\"\$as_me:17964: $lt_compile\"" >&5)
    1796017965   (eval "$lt_compile" 2>conftest.err)
    1796117966   ac_status=$?
    1796217967   cat conftest.err >&5
    17963    echo "$as_me:17963: \$? = $ac_status" >&5
     17968   echo "$as_me:17968: \$? = $ac_status" >&5
    1796417969   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796517970     # The compiler can only warn and ignore the option if not recognized
     
    1822518230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1822618231   -e 's:$: $lt_compiler_flag:'`
    18227    (eval echo "\"\$as_me:18227: $lt_compile\"" >&5)
     18232   (eval echo "\"\$as_me:18232: $lt_compile\"" >&5)
    1822818233   (eval "$lt_compile" 2>conftest.err)
    1822918234   ac_status=$?
    1823018235   cat conftest.err >&5
    18231    echo "$as_me:18231: \$? = $ac_status" >&5
     18236   echo "$as_me:18236: \$? = $ac_status" >&5
    1823218237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1823318238     # The compiler can only warn and ignore the option if not recognized
     
    1832918334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1833018335   -e 's:$: $lt_compiler_flag:'`
    18331    (eval echo "\"\$as_me:18331: $lt_compile\"" >&5)
     18336   (eval echo "\"\$as_me:18336: $lt_compile\"" >&5)
    1833218337   (eval "$lt_compile" 2>out/conftest.err)
    1833318338   ac_status=$?
    1833418339   cat out/conftest.err >&5
    18335    echo "$as_me:18335: \$? = $ac_status" >&5
     18340   echo "$as_me:18340: \$? = $ac_status" >&5
    1833618341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1833718342   then
Note: See TracChangeset for help on using the changeset viewer.